@mixin make-transition-duration($s) {
    @for $i from 2 to 9{
        #{$s}transition-#{$i * 50}{
            transition-duration: #{$i * 50}ms;
        }
    }

    @for $i from 5 to 11{
        #{$s}transition-#{$i * 100}{
            transition-duration: #{$i * 100}ms;
        }
    }
}